---------------------------------
--       Show Test       --
--  By _Dark_Cloud_  --
---------------------------------

-- Imagenes --
cursor = Screen.imageLoad("Imagenes/Otros/Cursor.png")
fondo = Screen.imageLoad("Imagenes/Fondos/FondoJuego.jpg")
botonrespuestasel = Screen.imageLoad("Imagenes/Juego/BotonRespuestaSel.png")
botoncontador = Screen.imageLoad("Imagenes/Juego/BotonContador.png")

-- Variables --
fuente = Screen.fontLoad("Error.ttf", 25)
fuente2 = Screen.fontLoad("Error.ttf", 22)
fuentejuego = Screen.fontLoad("Error.ttf", 35)
fuentecontador = Screen.fontLoad("Error.ttf", 60)
juegoempezado = false

-- Variables del Cursor --
if x0 == nil then

  x0 = 312
  y0 = 228
  x1 = 0
  y1 = 0
  
end

-- Funciones --	
function LimpiarMem()

	-- Limpiamos Variables --
	Screen.imageFree(cursor)
	Screen.imageFree(fondo)
	Screen.imageFree(botonrespuestasel)
	cursor = nil
	fondo = nil
	fuente = nil
	botonrespuestasel = nil
	juegoempezado = nil
	contador = nil
	oldtime = nil
	oldtime = os.time()

end

function Controles()

	-- Controles --
	wpad1 = Controls.read(0)

	-- Definimos el movimiento del cursor --
	if Controls.heldRight(wpad1) == 1 then

	  y0 = y0 - 12

	end

	if Controls.heldLeft(wpad1) == 1 then

	  y0 = y0 + 12

	end

	if Controls.heldDown(wpad1) == 1 then

	  x0 = x0 + 12

	end

	if Controls.heldUp(wpad1) == 1 then

	  x0 = x0 - 12
	  
	end

	x1 = x0
	y1 = y0

end

function Menu()

	-- Menu --
	Screen.imageBlit(0,0,fondo)

	-- Ponemos limites al escritorio --
	if x0 < 0 then 

	  x0 = 0 
	  
	end

	if x0 > 640 then 

	  x0 = 640 
	  
	end

	if y0 < 0 then 

	  y0 = 0 

	end

	if y0 > 480 then 

	  y0 = 480
	  
	end
	
	-- Mostramos los botones del men --
	-- Botn Respuesta 1 --
	if x0 >= 50 and x0 <= 300 and y0 >= 200 and y0 <= 310 then

	  Screen.imageBlit(50,200,botonrespuestasel)
	  
	end
	
	-- Botn Respuesta 2 --
	if x0 >= 340 and x0 <= 590 and y0 >= 200 and y0 <= 310 then

	  Screen.imageBlit(340,200,botonrespuestasel)
	  
	end
	
	-- Botn Respuesta 3 --
	if x0 >= 50 and x0 <= 300 and y0 >= 330 and y0 <= 440 then

	  Screen.imageBlit(50,330,botonrespuestasel)
	  
	end
	
	-- Botn Respuesta 4 --
	if x0 >= 340 and x0 <= 590 and y0 >= 330 and y0 <= 440 then

	  Screen.imageBlit(340,330,botonrespuestasel)
	  
	end
	
end

-- Funcin Preguntas --
function Preguntas()

	-- Contador --
	Screen.imageBlit(280,122,botoncontador)
	if 15-(os.time() - oldtime) > 9 then
	
		Screen.fontWrite(282,127,15-(os.time() - oldtime),fuentecontador,0,0,0)
	
	elseif 15-(os.time() - oldtime) <= 9 then
	
		Screen.fontWrite(302,127,15-(os.time() - oldtime),fuentecontador,0,0,0)
		
	end
	
	Screen.fontWrite(130,35,"Dnde va Lily a estudiar Arte",fuente,0,0,0)
	Screen.fontWrite(143,70,"cuando rompe con Marshall?",fuente,0,0,0)
	Screen.fontWrite(57,235,"San Francisco",fuentejuego,0,0,0)
	Screen.fontWrite(388,235,"New York",fuentejuego,0,0,0)
	Screen.fontWrite(100,365,"Chicago",fuentejuego,0,0,0)
	Screen.fontWrite(365,365,"New Yersey",fuentejuego,0,0,0)
	
	-- Boton 1 --
	if x0 >= 50 and x0 <= 300 and y0 >= 200 and y0 <= 310 and Controls.release2(wpad1) == 1 then
	
		Sound.mp3LoadandPlay("SFX/Acierto.mp3",0)
		if is_playing == 0 then
		
			Screen.imageLoadinOne(75,75,"Imagenes/Juego/SiguienteNivel.png")
			Screen.flip()
			System.sleep(3)
			LimpiarMem()
			dofile("Archivos/CCVM/Pregunta02.lua")
		
		end
		
	end
	
	-- Boton 2 --
	if x0 >= 340 and x0 <= 590 and y0 >= 200 and y0 <= 310 and Controls.release2(wpad1) == 1 then
	
		Sound.mp3LoadandPlay("SFX/Error.mp3",0)
		if is_playing == 0 then
		
			Screen.imageLoadinOne(75,75,"Imagenes/Juego/RespuestaFallada.png")
			Screen.flip()
			System.sleep(3)
			LimpiarMem()
			dofile("Archivos/MenuPrincipal.lua")
		
		end
		
	end
	
	-- Boton 3 --
	if x0 >= 50 and x0 <= 300 and y0 >= 330 and y0 <= 440 and Controls.release2(wpad1) == 1 then
	
		Sound.mp3LoadandPlay("SFX/Error.mp3",0)
		if is_playing == 0 then
		
			Screen.imageLoadinOne(75,75,"Imagenes/Juego/RespuestaFallada.png")
			Screen.flip()
			System.sleep(3)
			LimpiarMem()
			dofile("Archivos/MenuPrincipal.lua")
		
		end
		
	end
	
	-- Boton 4 --
	if x0 >= 340 and x0 <= 590 and y0 >= 330 and y0 <= 440 and Controls.release2(wpad1) == 1 then
	
		Sound.mp3LoadandPlay("SFX/Error.mp3",0)
		if is_playing == 0 then
		
			Screen.imageLoadinOne(75,75,"Imagenes/Juego/RespuestaFallada.png")
			Screen.flip()
			System.sleep(3)
			LimpiarMem()
			dofile("Archivos/MenuPrincipal.lua")
		
		end
		
	end
	
	if 15-(os.time() - oldtime) <= 0 then
	
		Sound.mp3LoadandPlay("SFX/Error.mp3",0)
		if is_playing == 0 then
		
			Screen.imageLoadinOne(75,75,"Imagenes/Juego/TiempoAcabado.png")
			Screen.flip()
			System.sleep(3)
			LimpiarMem()
			dofile("Archivos/MenuPrincipal.lua")
		
		end
		
	end
	
end

-- Funcion Estado Juego --
function EstadoJuego()

	-- Juego no empezado --
	if juegoempezado == false then
	
		if is_playing == 1 then		
			
			Screen.fontWrite(120, 40, "Botn 1: Volver al men anterior", fuente, 0,0,0)
			Screen.fontWrite(32, 75, "Espera a que termine la cancin para iniciar el juego", fuente2, 0,0,0)
			
			if Controls.press1(wpad1) == 1 then
			
				LimpiarMem()
				dofile("Archivos/MenuIniciar.lua")
				
			end
		
		elseif is_playing == 0 then
		
			Screen.fontWrite(120, 40, "Botn 1: Volver al men anterior", fuente, 0,0,0)
			Screen.fontWrite(150, 75, "Botn 2: Empezar el juego", fuente, 0,0,0)
			
			if Controls.press1(wpad1) == 1 then
			
				LimpiarMem()
				dofile("Archivos/MenuIniciar.lua")
				
			end
			
			if Controls.press2(wpad1) == 1 then
			
				oldtime = os.time()
				juegoempezado = true
				
			end
		
		end
		
	end
	
	-- Juego Empezado --
	if juegoempezado == true then
	
		Preguntas()
		
	end
	
end
	
-- Bucle Principal --
while true do

	-- Mostramos el cursor en pantalla --
	Screen.imageBlit(x1,y1,cursor)

	-- Mostramos todo a pantalla --
	Screen.flip()

	-- Ejecutamos Funciones --
	Controles()
	Menu()
	EstadoJuego()
	
	is_playing = Sound.mp3isPlaying()

end