---------------------------------
--       Show Test       --
--  By _Dark_Cloud_  --
---------------------------------

-- Imagenes --
cursor = Screen.imageLoad("Imagenes/Otros/Cursor.png")
fondo = Screen.imageLoad("Imagenes/Fondos/FondoJuego.jpg")
botonrespuestasel = Screen.imageLoad("Imagenes/Juego/BotonRespuestaSel.png")

-- Variables --
fuente = Screen.fontLoad("Error.ttf", 25)
fuentejuego = Screen.fontLoad("Error.ttf", 35)
juegoempezado = false

-- Variables del Cursor --
if x0 == nil then

  x0 = 312
  y0 = 228
  x1 = 0
  y1 = 0
  
end

-- Funciones --	
function LimpiarMem()

	-- Limpiamos Variables --
	Screen.imageFree(cursor)
	Screen.imageFree(fondo)
	Screen.imageFree(botonrespuestasel)
	cursor = nil
	fondo = nil
	fuente = nil
	botonrespuestasel = nil
	oldtime = nil
	oldtime = os.time()

end

function Controles()

	-- Controles --
	wpad1 = Controls.read(0)

	-- Definimos el movimiento del cursor --
	if Controls.heldRight(wpad1) == 1 then

	  y0 = y0 - 12

	end

	if Controls.heldLeft(wpad1) == 1 then

	  y0 = y0 + 12

	end

	if Controls.heldDown(wpad1) == 1 then

	  x0 = x0 + 12

	end

	if Controls.heldUp(wpad1) == 1 then

	  x0 = x0 - 12
	  
	end

	x1 = x0
	y1 = y0

end

function Menu()

	-- Menu --
	Screen.imageBlit(0,0,fondo)

	-- Ponemos limites al escritorio --
	if x0 < 0 then 

	  x0 = 0 
	  
	end

	if x0 > 640 then 

	  x0 = 640 
	  
	end

	if y0 < 0 then 

	  y0 = 0 

	end

	if y0 > 480 then 

	  y0 = 480
	  
	end
	
	-- Mostramos los botones del men --
	-- Botn Respuesta 1 --
	if x0 >= 50 and x0 <= 300 and y0 >= 200 and y0 <= 310 then

	  Screen.imageBlit(50,200,botonrespuestasel)
	  
	end
	
	-- Botn Respuesta 2 --
	if x0 >= 340 and x0 <= 590 and y0 >= 200 and y0 <= 310 then

	  Screen.imageBlit(340,200,botonrespuestasel)
	  
	end
	
	-- Botn Respuesta 3 --
	if x0 >= 50 and x0 <= 300 and y0 >= 330 and y0 <= 440 then

	  Screen.imageBlit(50,330,botonrespuestasel)
	  
	end
	
	-- Botn Respuesta 4 --
	if x0 >= 340 and x0 <= 590 and y0 >= 330 and y0 <= 440 then

	  Screen.imageBlit(340,330,botonrespuestasel)
	  
	end
	
end

-- Funcin Preguntas --
function Preguntas()

	-- Contador --
	Screen.imageBlit(280,122,botoncontador)
	if 15-(os.time() - oldtime) > 9 then
	
		Screen.fontWrite(282,127,15-(os.time() - oldtime),fuentecontador,0,0,0)
	
	elseif 15-(os.time() - oldtime) <= 9 then
	
		Screen.fontWrite(302,127,15-(os.time() - oldtime),fuentecontador,0,0,0)
		
	end

	Screen.fontWrite(72,55,"El nombre artstico de Robin era Robin...",fuente,0,0,0)
	Screen.fontWrite(130,235,"Hood",fuentejuego,0,0,0)
	Screen.fontWrite(415,235,"Storm",fuentejuego,0,0,0)
	Screen.fontWrite(98,365,"Sparkies",fuentejuego,0,0,0)
	Screen.fontWrite(430,365,"Star",fuentejuego,0,0,0)
	
	-- Boton 1 --
	if x0 >= 50 and x0 <= 300 and y0 >= 200 and y0 <= 310 and Controls.release2(wpad1) == 1 then
	
		Sound.mp3LoadandPlay("SFX/Error.mp3",0)
		if is_playing == 0 then
		
			Screen.imageLoadinOne(75,75,"Imagenes/Juego/RespuestaFallada.png")
			Screen.flip()
			System.sleep(3)
			LimpiarMem()
			dofile("Archivos/MenuPrincipal.lua")
		
		end
		
	end
	
	-- Boton 2 --
	if x0 >= 340 and x0 <= 590 and y0 >= 200 and y0 <= 310 and Controls.release2(wpad1) == 1 then
	
		Sound.mp3LoadandPlay("SFX/Error.mp3",0)
		if is_playing == 0 then
		
			Screen.imageLoadinOne(75,75,"Imagenes/Juego/RespuestaFallada.png")
			Screen.flip()
			System.sleep(3)
			LimpiarMem()
			dofile("Archivos/MenuPrincipal.lua")
		
		end
		
	end
	
	-- Boton 3 --
	if x0 >= 50 and x0 <= 300 and y0 >= 330 and y0 <= 440 and Controls.release2(wpad1) == 1 then
	
		Sound.mp3LoadandPlay("SFX/Acierto.mp3",0)
		if is_playing == 0 then
		
			Screen.imageLoadinOne(75,75,"Imagenes/Juego/SiguienteNivel.png")
			Screen.flip()
			System.sleep(3)
			LimpiarMem()
			dofile("Archivos/CCVM/Pregunta04.lua")
		
		end
		
	end
	
	-- Boton 4 --
	if x0 >= 340 and x0 <= 590 and y0 >= 330 and y0 <= 440 and Controls.release2(wpad1) == 1 then
	
		Sound.mp3LoadandPlay("SFX/Error.mp3",0)
		if is_playing == 0 then
		
			Screen.imageLoadinOne(75,75,"Imagenes/Juego/RespuestaFallada.png")
			Screen.flip()
			System.sleep(3)
			LimpiarMem()
			dofile("Archivos/MenuPrincipal.lua")
		
		end
		
	end
	
	if 15-(os.time() - oldtime) <= 0 then
	
		Sound.mp3LoadandPlay("SFX/Error.mp3",0)
		if is_playing == 0 then
		
			Screen.imageLoadinOne(75,75,"Imagenes/Juego/TiempoAcabado.png")
			Screen.flip()
			System.sleep(3)
			LimpiarMem()
			dofile("Archivos/MenuPrincipal.lua")
		
		end
		
	end
	
end

-- Bucle Principal --
while true do

	-- Mostramos el cursor en pantalla --
	Screen.imageBlit(x1,y1,cursor)

	-- Mostramos todo a pantalla --
	Screen.flip()

	-- Ejecutamos Funciones --
	Controles()
	Menu()
	Preguntas()
	
	is_playing = Sound.mp3isPlaying()

end