---------------------------------
--       Show Test       --
--  By _Dark_Cloud_  --
---------------------------------

-- Imagenes --
cursor = Screen.imageLoad("Imagenes/Otros/Cursor.png")
fondo = Screen.imageLoad("Imagenes/Fondos/FondoMenuIniciar.jpg")
botonccvm = Screen.imageLoad("Imagenes/Juego/BotonCCVM.png")
botontbbt = Screen.imageLoad("Imagenes/Juego/BotonTBBT.png")
botonatras = Screen.imageLoad("Imagenes/Juego/BotonAtras.png")
--fototbbt = Screen.imageLoad("Imagenes/Juego/FotoTBBT.jpg")
--fotoccvm = Screen.imageLoad("Imagenes/Juego/FotoCCVM.jpg")

-- Variables --
fuente = Screen.fontLoad("Error.ttf", 30)
BG = Sound.mp3Load("SFX/BG.mp3")

-- Variables del Cursor --
if x0 == nil then

  x0 = 312
  y0 = 228
  x1 = 0
  y1 = 0
  
end

-- Funciones --
function LimpiarMem()

	-- Limpiamos Variables --
	Screen.imageFree(cursor)
	Screen.imageFree(fondo)
	Screen.imageFree(botonccvm)
	Screen.imageFree(botontbbt)
	Screen.imageFree(botonatras)
	--Screen.imageFree(fototbbt)
	--Screen.imageFree(fotoccvm)
	cursor = nil
	fondo = nil
	fuente = nil
	botonccvm = nil
	botontbbt = nil
	botonatras = nil
	--fototbbt = nil
	--fotoccvm = nil

end

function Controles()

	-- Controles --
	wpad1 = Controls.read(0)

	if Controls.press1(wpad1) == 1 then

	  LimpiarMem()
	  dofile("Archivos/MenuPrincipal.lua")
	  
	end

	-- Definimos el movimiento del cursor --
	if Controls.heldRight(wpad1) == 1 then

	  y0 = y0 - 12

	end

	if Controls.heldLeft(wpad1) == 1 then

	  y0 = y0 + 12

	end

	if Controls.heldDown(wpad1) == 1 then

	  x0 = x0 + 12

	end

	if Controls.heldUp(wpad1) == 1 then

	  x0 = x0 - 12
	  
	end

	x1 = x0
	y1 = y0

end

function Menu()

	-- Menu --
	Screen.imageBlit(0,0,fondo)

	-- Ponemos limites al escritorio --
	if x0 < 0 then 

	  x0 = 0 
	  
	end

	if x0 > 640 then 

	  x0 = 640 
	  
	end

	if y0 < 0 then 

	  y0 = 0 

	end

	if y0 > 480 then 

	  y0 = 480
	  
	end
	
	-- Mostramos los botones del men --
	-- Botn 1 - Iniciar --
	if x0 >= 0 and x0 <= 120 and y0 >= 0 and y0 <= 120 then

	  Screen.imageBlit(0,0,botontbbt)
	  --Screen.imageBlit(170,150,fototbbt)
	  Screen.fontWrite(240, 40, "The Big Bang Theory", fuente, 0,0,0)
	  
	end
	
	-- Botn 2 - Crditos --
	if x0 >= 0 and x0 <= 120 and y0 >= 180 and y0 <= 300 then

	  Screen.imageBlit(0,180,botonccvm)
	  --Screen.imageBlit(170,150,fotoccvm)
	  Screen.fontWrite(160, 40, "Cmo Conoc a Vuestra Madre", fuente, 0,0,0)
	  
	end

	-- Botn 3 - Salir --
	if x0 >= 0 and x0 <= 120 and y0 >= 360 and y0 <= 480 then

	  Screen.imageBlit(0,360,botonatras)
	  Screen.fontWrite(210, 40, "Volver al Men Principal", fuente, 0,0,0)
	  
	end
	
	if  x0 > 120 then
	
	  Screen.fontWrite(220,40,"Botn 1: Men Principal",fuente,0,0,0)
		
	end
	
	-- Activamos los botones del men --
	-- Botn 1 - Iniciar --
	if x0 >= 0 and x0 <= 120 and y0 >= 0 and y0 <= 120 and Controls.press2(wpad1) == 1 then

	  LimpiarMem()
	  dofile("Archivos/TBBT/Pregunta01.lua")
	  
	end
	
	-- Botn 2 - Crditos --
	if x0 >= 0 and x0 <= 120 and y0 >= 180 and y0 <= 300 and Controls.press2(wpad1) == 1 then

	  LimpiarMem()
	  dofile("Archivos/CCVM/Pregunta01.lua")
	  
	end

	-- Botn 3 - Salir --
	if x0 >= 0 and x0 <= 120 and y0 >= 360 and y0 <= 480 and Controls.press2(wpad1) == 1 then

	   LimpiarMem()
	   dofile("Archivos/MenuPrincipal.lua")
	  
	end
	
end
	
-- Bucle Principal --
while true do

	-- Mostramos el cursor en pantalla --
	Screen.imageBlit(x1,y1,cursor)

	-- Mostramos todo a pantalla --
	Screen.flip()

	-- Ejecutamos Funciones --
	Controles()
	Menu()
	
	-- Cargamos la msica de fondo --
	Sound.mp3Play(BG, 1)

end