---------------------------------
--       Show Test       --
--  By _Dark_Cloud_  --
---------------------------------

-- Imagenes --
cursor = Screen.imageLoad("Imagenes/Otros/Cursor.png")
fondo = Screen.imageLoad("Imagenes/Fondos/FondoMenuPrincipal.jpg")
botonsel = Screen.imageLoad("Imagenes/Juego/BotonSel.png")

-- Variables --
fuente = Screen.fontLoad("Error.ttf", 50)
BG = Sound.mp3Load("SFX/BG.mp3")

-- Variables del Cursor --
if x0 == nil then

  x0 = 312
  y0 = 228
  x1 = 0
  y1 = 0
  
end

-- Funciones --
function LimpiarMem()

	-- Limpiamos Variables --
	Screen.imageFree(cursor)
	Screen.imageFree(fondo)
	Screen.imageFree(botonsel)
	cursor = nil
	fondo = nil
	botonsel = nil
	fuente = nil

end

function Controles()

	-- Controles --
	wpad1 = Controls.read(0)

	-- Definimos el movimiento del cursor --
	if Controls.heldRight(wpad1) == 1 then

	  y0 = y0 - 12

	end

	if Controls.heldLeft(wpad1) == 1 then

	  y0 = y0 + 12

	end

	if Controls.heldDown(wpad1) == 1 then

	  x0 = x0 + 12

	end

	if Controls.heldUp(wpad1) == 1 then

	  x0 = x0 - 12
	  
	end

	x1 = x0
	y1 = y0

end

function Menu()

	-- Menu --
	Screen.imageBlit(0,0,fondo)
	Screen.fontWrite(250, 173, "Iniciar", fuente, 0,0,0)
	Screen.fontWrite(220, 276, "Crditos", fuente, 0,0,0)
	Screen.fontWrite(270, 380, "Salir", fuente, 0,0,0)

	-- Ponemos limites al escritorio --
	if x0 < 0 then 

	  x0 = 0 
	  
	end

	if x0 > 640 then 

	  x0 = 640 
	  
	end

	if y0 < 0 then 

	  y0 = 0 

	end

	if y0 > 480 then 

	  y0 = 480
	  
	end
	
	-- Mostramos los botones del men --
		-- Botn 1 - Iniciar --
	if x0 >= 70 and x0 <= 570 and y0 >= 153 and y0 <= 253 then

	  Screen.imageBlit(70,153,botonsel)
	  Screen.fontWrite(250, 173, "Iniciar", fuente, 0,0,0)
	  
	end
	
	-- Botn 2 - Crditos --
	if x0 >= 70 and x0 <= 570 and y0 >= 256 and y0 <= 356 then

	  Screen.imageBlit(70,256,botonsel)
	  Screen.fontWrite(220, 276, "Crditos", fuente, 0,0,0)
	  
	end

	-- Botn 3 - Salir --
	if x0 >= 70 and x0 <= 570 and y0 >= 360 and y0 <= 460 then

	  Screen.imageBlit(70,360,botonsel)
	  Screen.fontWrite(270, 380, "Salir", fuente, 0,0,0)
	  
	end
	
	-- Accionamos los botones del men --
		-- Botn 1 - Iniciar --
	if x0 >= 70 and x0 <= 570 and y0 >= 153 and y0 <= 253 and Controls.press2(wpad1) == 1 then

	  LimpiarMem()
	  dofile("Archivos/MenuIniciar.lua")
	  
	end
	
	-- Botn 2 - Crditos --
	if x0 >= 70 and x0 <= 570 and y0 >= 256 and y0 <= 356 and Controls.press2(wpad1) == 1 then

		Screen.imageLoadinOne(0,0,"Imagenes/Fondos/Creditos.jpg")
		Screen.flip()
		Screen.delay(15)
	  
	end

	-- Botn 3 - Salir --
	if x0 >= 70 and x0 <= 570 and y0 >= 360 and y0 <= 460 and Controls.press2(wpad1) == 1 then

	  System.exitHBC()
	  
	end
	
end
	
-- Bucle Principal --
while true do

	-- Mostramos el cursor en pantalla --
	Screen.imageBlit(x1,y1,cursor)

	-- Mostramos todo a pantalla --
	Screen.flip()

	-- Ejecutamos Funciones --
	Controles()
	Menu()
	
	-- Cargamos la msica de fondo --
	Sound.mp3Play(BG, 1)

end